package com.sundot.airport.exam.logic.eighteen.model.params;

import javax.validation.constraints.NotNull;

/**
 * <b>功能名：Get18ExamParams</b><br>
 * <b>说明：</b> 查询考试基本信息和试题参数类 <br>
 * <b>著作权：</b> Copyright (C) 2021 HUIFANEDU  CORPORATION<br>
 * <b>修改履历：</b><br>
 *
 * @author 2021-06-30 Mokou
 */
public class Get18ExamParams {
    /**
     * 考试ID
     */
    @NotNull(message = "ID不可为空")
    private String id;

    /**
     * 考试所属课程ID 用于创建快照
     */
    @NotNull(message = "课程ID不可为空")
    private String pcId;

    /**
     * 客户端类型
     */
    @NotNull(message = "客户端类型不可为空")
    private String clientType;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getClientType() {
        return clientType;
    }

    public void setClientType(String clientType) {
        this.clientType = clientType;
    }

    public String getPcId() {
        return pcId;
    }

    public void setPcId(String pcId) {
        this.pcId = pcId;
    }

    @Override
    public String toString() {
        return "Get18ExamParams{" +
                "id='" + id + '\'' +
                ", pcId='" + pcId + '\'' +
                ", clientType='" + clientType + '\'' +
                '}';
    }
}
